<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MFLTGlyph Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MFLTGlyph Struct Reference<br/>
<small>
[<a class="el" href="group__m17nFLT.html">FLT API</a>]</small>
</h1><!-- doxytag: class="MFLTGlyph" -->
<p>Type of information about a glyph.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#aba7544461f4fd996ef784d1aac1edbbf">c</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a7109fc2236f80a4bc1b0c29530a9718b">code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a3997cefcea27225adf38fe5720443b25">from</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ac53dc0c1cbf143c355b844f82906b702">to</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#adc2d36c54171be0b60910d450391ca90">xadv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a4f6bdf7dcd6eb716dfbd04d3bebe0715">yadv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a98d0801d98d007498644412a971562ec">encoded</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ac02feb7f094d931107491d9f1219aec8">measured</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a000662b1f296fd0531b1de9b833b1f2a">adjusted</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a0b2d21195c9e213070e3cd20b2432e8f">internal</a>: 30</td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd41d8cd98f00b204e9800998ecf8427e"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ae011c93beb83519e10926d6832bde6e4">ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#aab0fb75f16933235700a2a0448608280">descent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a262d31edb49b724d4150812689ab05ef">lbearing</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a60884dd3055c58c648da8f2aa300d9ca">rbearing</a></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd41d8cd98f00b204e9800998ecf8427e"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#ad1893a4e7b67bae84bf5f8969f0f74e2">xoff</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyph.html#a4ab4bb4a600a8eb211d2b29b7118f9fa">yoff</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Type of information about a glyph. </p>
<p>The type <a class="el" href="structMFLTGlyph.html" title="Type of information about a glyph.">MFLTGlyph</a> is the structure that contains information about a glyph. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="aba7544461f4fd996ef784d1aac1edbbf"></a><!-- doxytag: member="MFLTGlyph::c" ref="aba7544461f4fd996ef784d1aac1edbbf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#aba7544461f4fd996ef784d1aac1edbbf">MFLTGlyph::c</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Character code (Unicode) of the glyph. This is the sole member to be set before calling the functions <a class="el" href="group__m17nFLT.html#gaadd34d825776eff1571a6ec1ebf18213" title="Find an FLT suitable for the specified character and font.">mflt_find()</a> and <a class="el" href="group__m17nFLT.html#gab7bf42cc0f306fb6058ba5d10e79e27d" title="Layout characters with an FLT.">mflt_run()</a>. </p>

</div>
</div>
<a class="anchor" id="a7109fc2236f80a4bc1b0c29530a9718b"></a><!-- doxytag: member="MFLTGlyph::code" ref="a7109fc2236f80a4bc1b0c29530a9718b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structMFLTGlyph.html#a7109fc2236f80a4bc1b0c29530a9718b">MFLTGlyph::code</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Glyph ID of the glyph in the font. </p>

</div>
</div>
<a class="anchor" id="a3997cefcea27225adf38fe5720443b25"></a><!-- doxytag: member="MFLTGlyph::from" ref="a3997cefcea27225adf38fe5720443b25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a3997cefcea27225adf38fe5720443b25">MFLTGlyph::from</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Starting index of the run in <a class="el" href="structMFLTGlyphString.html" title="Type of information about a glyph sequence.">MFLTGlyphString</a> that is replaced by this glyph. </p>

</div>
</div>
<a class="anchor" id="ac53dc0c1cbf143c355b844f82906b702"></a><!-- doxytag: member="MFLTGlyph::to" ref="ac53dc0c1cbf143c355b844f82906b702" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#ac53dc0c1cbf143c355b844f82906b702">MFLTGlyph::to</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Ending index of the run in <a class="el" href="structMFLTGlyphString.html" title="Type of information about a glyph sequence.">MFLTGlyphString</a> that is replaced by this glyph. </p>

</div>
</div>
<a class="anchor" id="adc2d36c54171be0b60910d450391ca90"></a><!-- doxytag: member="MFLTGlyph::xadv" ref="adc2d36c54171be0b60910d450391ca90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#adc2d36c54171be0b60910d450391ca90">MFLTGlyph::xadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Advance width for horizontal layout expressed in 26.6 fractional pixel format. </p>

</div>
</div>
<a class="anchor" id="a4f6bdf7dcd6eb716dfbd04d3bebe0715"></a><!-- doxytag: member="MFLTGlyph::yadv" ref="a4f6bdf7dcd6eb716dfbd04d3bebe0715" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a4f6bdf7dcd6eb716dfbd04d3bebe0715">MFLTGlyph::yadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Advance height for vertical layout expressed in 26.6 fractional pixel format. </p>

</div>
</div>
<a class="anchor" id="ae011c93beb83519e10926d6832bde6e4"></a><!-- doxytag: member="MFLTGlyph::ascent" ref="ae011c93beb83519e10926d6832bde6e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#ae011c93beb83519e10926d6832bde6e4">MFLTGlyph::ascent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Ink metrics of the glyph expressed in 26.6 fractional pixel format. </p>

</div>
</div>
<a class="anchor" id="aab0fb75f16933235700a2a0448608280"></a><!-- doxytag: member="MFLTGlyph::descent" ref="aab0fb75f16933235700a2a0448608280" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#aab0fb75f16933235700a2a0448608280">MFLTGlyph::descent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a262d31edb49b724d4150812689ab05ef"></a><!-- doxytag: member="MFLTGlyph::lbearing" ref="a262d31edb49b724d4150812689ab05ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a262d31edb49b724d4150812689ab05ef">MFLTGlyph::lbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a60884dd3055c58c648da8f2aa300d9ca"></a><!-- doxytag: member="MFLTGlyph::rbearing" ref="a60884dd3055c58c648da8f2aa300d9ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a60884dd3055c58c648da8f2aa300d9ca">MFLTGlyph::rbearing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad1893a4e7b67bae84bf5f8969f0f74e2"></a><!-- doxytag: member="MFLTGlyph::xoff" ref="ad1893a4e7b67bae84bf5f8969f0f74e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#ad1893a4e7b67bae84bf5f8969f0f74e2">MFLTGlyph::xoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Horizontal and vertical adjustments for the glyph positioning expressed in 26.6 fractional pixel format. </p>

</div>
</div>
<a class="anchor" id="a4ab4bb4a600a8eb211d2b29b7118f9fa"></a><!-- doxytag: member="MFLTGlyph::yoff" ref="a4ab4bb4a600a8eb211d2b29b7118f9fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyph.html#a4ab4bb4a600a8eb211d2b29b7118f9fa">MFLTGlyph::yoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a98d0801d98d007498644412a971562ec"></a><!-- doxytag: member="MFLTGlyph::encoded" ref="a98d0801d98d007498644412a971562ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#a98d0801d98d007498644412a971562ec">MFLTGlyph::encoded</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag to tell whether the member &lt;code&gt; has already been set to a glyph ID in the font. </p>

</div>
</div>
<a class="anchor" id="ac02feb7f094d931107491d9f1219aec8"></a><!-- doxytag: member="MFLTGlyph::measured" ref="ac02feb7f094d931107491d9f1219aec8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#ac02feb7f094d931107491d9f1219aec8">MFLTGlyph::measured</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag to tell if the metrics of the glyph (members &lt;xadv&gt; thru &lt;rbearing&gt;) are already calculated. </p>

</div>
</div>
<a class="anchor" id="a000662b1f296fd0531b1de9b833b1f2a"></a><!-- doxytag: member="MFLTGlyph::adjusted" ref="a000662b1f296fd0531b1de9b833b1f2a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#a000662b1f296fd0531b1de9b833b1f2a">MFLTGlyph::adjusted</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag to tell if the metrics of the glyph is adjusted, i.e. &lt;xadv&gt; or &lt;yadv&gt; is different from the normal size, or &lt;xoff&gt; or &lt;yoff&gt; is nonzero. </p>

</div>
</div>
<a class="anchor" id="a0b2d21195c9e213070e3cd20b2432e8f"></a><!-- doxytag: member="MFLTGlyph::internal" ref="a0b2d21195c9e213070e3cd20b2432e8f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyph.html#a0b2d21195c9e213070e3cd20b2432e8f">MFLTGlyph::internal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>For m17n-lib's internal use only. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
